Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
-  class Power[ReplValsImpl <: ReplVals] extends AnyRef

  A class for methods to be injected into the intp in power mode.

  A class for methods to be injected into the intp in power mode.

  Definition Classes
    interpreter
- Implicits1
- Implicits2
- InternalInfo
- InternalInfoWrapper
- LowPriorityInternalInfo
- LowPriorityInternalInfoWrapper
- LowPriorityPrettifier
- MultiPrettifierClass
- PackageSlurper
- Prettifier
- PrettifierClass
- ReplUtilities
- RichInputStream
- RichReplString
- RichReplURL
- SinglePrettifierClass
- StringPrettifier
- SymSlurper

c

scala.tools.nsc.interpreter.Power

# InternalInfo

###
Companion object InternalInfo

#### class InternalInfo[T] extends AnyRef

Todos... translate tag type arguments into applied types customizable symbol filter (had to hardcode no-spec to reduce noise)

Source
  Power.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InternalInfo
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new InternalInfo(value: Option[T] = None)(implicit typeEvidence: reflect.api.JavaUniverse.TypeTag[T], runtimeClassEvidence: ClassTag[T])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from InternalInfo[T] toany2stringadd[InternalInfo[T]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (InternalInfo[T], B)
   Implicit
     This member is added by an implicit conversion from InternalInfo[T] toArrowAssoc[InternalInfo[T]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def baseClasses: List[Global.Symbol]
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def ensuring(cond: (InternalInfo[T]) => Boolean, msg: => Any): InternalInfo[T]
   Implicit
     This member is added by an implicit conversion from InternalInfo[T] toEnsuring[InternalInfo[T]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (InternalInfo[T]) => Boolean): InternalInfo[T]
    Implicit
      This member is added by an implicit conversion from InternalInfo[T] toEnsuring[InternalInfo[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): InternalInfo[T]
    Implicit
      This member is added by an implicit conversion from InternalInfo[T] toEnsuring[InternalInfo[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): InternalInfo[T]
    Implicit
      This member is added by an implicit conversion from InternalInfo[T] toEnsuring[InternalInfo[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def excludeMember(s: Global.Symbol): Boolean

    Standard noise reduction filter.

16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from InternalInfo[T] toStringFormat[InternalInfo[T]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  def members: collection.immutable.List[Global.Symbol]
22.  def membersUnabridged: List[Global.Symbol]
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  def pkg: Global.Symbol
27.  def runtimeClass: Class[_]
28.  def shortClass: String
29.  def symbol: Global.Symbol
30.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
31.  def tag: reflect.api.JavaUniverse.TypeTag[T]
32.  def toString(): String
    Definition Classes
      InternalInfo → AnyRef → Any
33.  def tpe: Global.Type
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (InternalInfo[T], B)
   Implicit
     This member is added by an implicit conversion from InternalInfo[T] toArrowAssoc[InternalInfo[T]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromInternalInfo[T] to any2stringadd[InternalInfo[T]]

### Inherited by implicit conversion StringFormat fromInternalInfo[T] to StringFormat[InternalInfo[T]]

### Inherited by implicit conversion Ensuring fromInternalInfo[T] to Ensuring[InternalInfo[T]]

### Inherited by implicit conversion ArrowAssoc fromInternalInfo[T] to ArrowAssoc[InternalInfo[T]]

### Ungrouped